petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMPlexInsertTimeDerivativeBoundaryValues

Puts coefficients which represent boundary values of the time derviative into the local solution vector

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertTimeDerivativeBoundaryValues(DM dm, PetscBool insertEssential, Vec locX_t, PetscReal time, Vec faceGeomFVM, Vec cellGeomFVM, Vec gradFVM)

### Input Parameters

| dm | - The DM
| insertEssential | - Should I insert essential (e.g. Dirichlet) or inessential (e.g. Neumann) boundary conditions
| time | - The time
| faceGeomFVM | - Face geometry data for FV discretizations
| cellGeomFVM | - Cell geometry data for FV discretizations
| gradFVM | - Gradient reconstruction data for FV discretizations

### Output Parameters

| locX_t | - Solution updated with boundary values

### See Also

DMProjectFunctionLabelLocal()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages